Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.taskplan
Class TaskPlanPath

    java.lang.Object
      com.bea.wli.path.ObjectPath
          com.bea.wli.worklist.api.taskplan.TaskPlanPath

All Implemented Interfaces:
  Serializable, Comparable

    public class TaskPlanPath

extends com.bea.wli.path.ObjectPath

See Also:
  Serialized Form

Constructor Summary
`TaskPlanPath(File hostAppRoot, File taskPlanFile)` Allows the construction of a TaskPlanPath given physical files representing the root of the TaskPlan host application, and the TaskPlan .task file itself.
`TaskPlanPath(com.bea.wli.path.FolderPath parent, String name)`
`TaskPlanPath(String path)`

Method Summary
`com.bea.wli.path.FolderPath` | `getFolder()`
`String` | `getName()`

Methods inherited from class com.bea.wli.path.ObjectPath
`compareTo, equals, getObjectName, getParentSteps, getPathAsString, getSteps, hashCode, setObjectName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TaskPlanPath

    public TaskPlanPath(String path)

### TaskPlanPath

    public TaskPlanPath(com.bea.wli.path.FolderPath parent,
                        String name)

### TaskPlanPath

    public TaskPlanPath(File hostAppRoot,
                        File taskPlanFile)
                 throws IOException

  Allows the construction of a TaskPlanPath given physical files representing the root of the TaskPlan host application, and the TaskPlan .task file itself.

  Parameters:
    `hostAppRoot` - The root of the application hosting the TaskPlan file.
    `taskPlanFile` - The TaskPlan .task file.
  Throws:
    `IOException` - If any error occurs calculating canonical paths for the given files.

Method Detail

### getFolder

    public com.bea.wli.path.FolderPath getFolder()

### getName

    public String getName()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD